import { Collection, JSCodeshift } from 'jscodeshift';

export default function updateAriaLabel(j: JSCodeshift, source: Collection) {
  source
    .findJSXElements('IconButton')
    .find(j.JSXAttribute)
    .filter((attribute) => attribute.node.name.name === 'ariaLabel')
    .forEach((attribute) => {
      j(attribute).replaceWith(
        j.jsxAttribute(j.jsxIdentifier('aria-label'), attribute.node.value),
      );
    });
}
