import { Collection, JSCodeshift } from 'jscodeshift';

export default function updateButtonState(j: JSCodeshift, source: Collection) {
  source
    .findJSXElements('IconButton')
    .find(j.JSXAttribute)
    .filter((attribute) => attribute.node.name.name === 'buttonState')
    .find(j.Literal)
    .forEach((literal) => {
      // eslint-disable-next-line no-param-reassign
      literal.node.value =
        literal.node.value === 'enabled' ? 'default' : literal.node.value;
    });
}
