import { BaseButtonStateNameProps, ButtonTone, ButtonVariant } from './types';
import { BaseButtonLoadingStateProps, BaseButtonProps } from './BaseButton';
declare type ButtonStatesProps = Pick<BaseButtonProps, BaseButtonStateNameProps> & {
    _loading: BaseButtonLoadingStateProps;
};
declare type ButtonVariantToStateObject = {
    [key in ButtonVariant]: ButtonStatesProps;
};
declare type ButtonVariantToToneStateObject<T extends ButtonTone> = T extends 'critical' ? {
    emphasized: ButtonStatesProps;
    plain: ButtonStatesProps;
    default: ButtonStatesProps;
} : {
    emphasized: ButtonStatesProps;
};
export declare type ButtonTonesStateKeys = Exclude<ButtonTone, 'default'>;
export declare type ButtonToneToVariantStateObject<T extends ButtonTonesStateKeys> = {
    [key in ButtonTonesStateKeys]: ButtonVariantToToneStateObject<T>;
};
export declare const buttonVariantToState: ButtonVariantToStateObject;
declare type IconButtonVariantToStateObject = {
    [key in ButtonVariant]: ButtonStatesProps;
};
export declare const iconButtonVariantToState: IconButtonVariantToStateObject;
export declare const buttonCriticalToneState: ButtonVariantToToneStateObject<'critical'>;
export declare const buttonSuccessToneState: ButtonVariantToToneStateObject<'success'>;
export {};
