import React from 'react';
import { BaseButtonProps } from './BaseButton';
import { BaseButtonStateNameProps, ButtonState, ButtonTone, ButtonVariant } from './types';
export declare type ButtonProps = Omit<BaseButtonProps, BaseButtonStateNameProps | 'icon' | 'buttonState'> & {
    buttonState?: ButtonState;
} & ({
    variant?: 'emphasized';
    tone?: ButtonTone;
} | {
    variant?: Exclude<ButtonVariant, 'emphasized'>;
    tone?: Exclude<ButtonTone, 'success'>;
} | {
    variant?: Exclude<ButtonVariant, 'emphasized'>;
    tone?: Extract<ButtonTone, 'default'>;
    icon?: string;
});
declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
